For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign in
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
    • Overview
    • Authentication
  • REST
      • POSTCreate Locale
      • GETList Locales
      • GETGet Locale
      • PATCHUpdate Locale
      • DELDelete Locale
      • POSTRestore Locale
Sign in
LogoLogo
RESTLocales

Delete Locale

DELETE
https://api.makeswift.com/v2/locales/:localeIdOrCode
DELETE
/v2/locales/:localeIdOrCode
$curl -X DELETE https://api.makeswift.com/v2/locales/localeIdOrCode \
> -H "x-api-key: <apiKey>"
Deletes a locale.
Was this page helpful?
Previous

Update Locale

Next

Restore Locale

Built with

Authentication

x-api-keystring

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Path parameters

localeIdOrCodestringRequired
The locale ID or locale code.

Query parameters

siteIdstringOptionalformat: "uuid"
The site ID required when using a locale code instead of a locale ID.

Response

Locale successfully deleted.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error